Name:           gmpc
Summary:        GNOME frontend for the MPD
Version:        0.20.0
Release:        7%{?dist}

License:        GPLv2+
Group:          Applications/Multimedia
URL:            http://gmpcwiki.sarine.nl/

Source0:        http://download.sarine.nl/Programs/gmpc/0.20.0/gmpc-0.20.0.tar.gz
Source1:        http://download.sarine.nl/Programs/gmpc/0.20.0/gmpc-alarm-0.20.0.tar.gz
Source2:        http://download.sarine.nl/Programs/gmpc/0.20.0/gmpc-albumview-0.20.0.tar.gz
Source3:        http://download.sarine.nl/Programs/gmpc/0.20.0/gmpc-avahi-0.20.0.tar.gz
Source4:        http://download.sarine.nl/Programs/gmpc/0.20.0/gmpc-awn-0.20.0.tar.gz
Source5:        http://download.sarine.nl/Programs/gmpc/0.20.0/gmpc-discogs-0.20.0.tar.gz
Source6:        http://download.sarine.nl/Programs/gmpc/0.20.0/gmpc-extraplaylist-0.20.0.tar.gz
Source7:        http://download.sarine.nl/Programs/gmpc/0.20.0/gmpc-jamendo-0.20.0.tar.gz
Source8:        http://download.sarine.nl/Programs/gmpc/0.20.0/gmpc-last-fm-0.20.0.tar.gz
Source9:        http://download.sarine.nl/Programs/gmpc/0.20.0/gmpc-libnotify-0.20.0.tar.gz
Source10:       http://download.sarine.nl/Programs/gmpc/0.20.0/gmpc-lirc-0.20.0.tar.gz
Source11:       http://download.sarine.nl/Programs/gmpc/0.20.0/gmpc-lyrics-0.20.0.tar.gz
Source12:       http://download.sarine.nl/Programs/gmpc/0.20.0/gmpc-lyricsplugin-0.20.0.tar.gz
Source13:       http://download.sarine.nl/Programs/gmpc/0.20.0/gmpc-lyricwiki-0.20.0.tar.gz
Source14:       http://download.sarine.nl/Programs/gmpc/0.20.0/gmpc-magnatune-0.20.0.tar.gz
Source15:       http://download.sarine.nl/Programs/gmpc/0.20.0/gmpc-mmkeys-0.20.0.tar.gz
Source16:       http://download.sarine.nl/Programs/gmpc/0.20.0/gmpc-mdcover-0.20.0.tar.gz
Source17:       http://download.sarine.nl/Programs/gmpc/0.20.0/gmpc-mserver-0.20.0.tar.gz
Source18:       http://download.sarine.nl/Programs/gmpc/0.20.0/gmpc-playlistsort-0.20.0.tar.gz
Source19:       http://download.sarine.nl/Programs/gmpc/0.20.0/gmpc-shout-0.20.0.tar.gz
Source20:       http://download.sarine.nl/Programs/gmpc/0.20.0/gmpc-tagedit-0.20.0.tar.gz
Source21:       http://download.sarine.nl/Programs/gmpc/0.20.0/gmpc-wikipedia-0.20.0.tar.gz

Patch0:         gmpc-dso.patch
Patch1:         gmpc-libnotify.git-083ded0f35d4404cd378a975e3b6f2af520b4c54.patch
Patch2:         gmpc-libnotify.patch

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  scrollkeeper, gtk2-devel, libglade2-devel
BuildRequires:  gettext, gnome-vfs2-devel, desktop-file-utils
BuildRequires:  perl-XML-Parser, findutils
BuildRequires:  curl-devel, xosd-devel, libSM-devel
BuildRequires:  avahi-glib-devel, libnotify-devel
BuildRequires:  gob2, libsexy-devel, WebKit-gtk-devel
BuildRequires:  json-glib-devel, lirc-devel
BuildRequires:  libmpd-devel >= 0.20.0
BuildRequires:  taglib-devel, libmicrohttpd-devel
BuildRequires:  intltool, sqlite-devel, vala

%description
Gmpc is a GNOME client for the Music Player Daemon
Features :
 * Support for loading/saving playlists.
 * File Browser
 * Browser based on ID3 information. (on artist and albums)
 * Search
 * Current playlist viewer with search.
 * ID3 information
 * Lots more

%package devel
Summary:  Development files for gmpc
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
This package includes header files necessary for developing gmpc plugins.

%prep
%setup -q -a 1 -a 2 -a 3 -a 4 -a 5 -a 6 -a 7 -a 8 -a 9 -a 10 -a 11 -a 12 -a 13 -a 14 -a 15 -a 16 -a 17 -a 18 -a 19 -a 20 -a 21
%patch0 -p0
sed -i -e 's,${prefix}/lib/,%{_libdir}/,g' gmpc-awn-0.20.0/src/Makefile.in
cd gmpc-libnotify-0.20.0
%patch1 -p1
%patch2 -p0
cd ..

%build
%configure --disable-dependency-tracking
make %{?_smp_mflags} LDFLAGS=-Wl,--export-dynamic
export PKG_CONFIG_PATH="$PWD/data"
export CFLAGS="-I$PWD -I$PWD/src/vala -I$PWD/src -I$PWD/src/MetaData -DGMPC_BUILD=1"
ln -s src gmpc
ln -s MetaData/metadata.h src
for i in \
	gmpc-alarm-0.20.0 \
	gmpc-albumview-0.20.0 \
	gmpc-avahi-0.20.0 \
	gmpc-awn-0.20.0 \
	gmpc-discogs-0.20.0 \
	gmpc-extraplaylist-0.20.0 \
	gmpc-jamendo-0.20.0 \
	gmpc-last-fm-0.20.0 \
	gmpc-libnotify-0.20.0 \
	gmpc-lirc-0.20.0 \
	gmpc-lyrics-0.20.0 \
	gmpc-lyricsplugin-0.20.0 \
	gmpc-lyricwiki-0.20.0 \
	gmpc-magnatune-0.20.0 \
	gmpc-mdcover-0.20.0 \
	gmpc-mmkeys-0.20.0 \
	gmpc-mserver-0.20.0 \
	gmpc-playlistsort-0.20.0 \
	gmpc-shout-0.20.0 \
	gmpc-tagedit-0.20.0 \
	gmpc-wikipedia-0.20.0; do
	pushd $i
	%configure
	make %{?_smp_mflags}
	popd
done

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# this is the default search path
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}/plugins
# rpmlint complains if arch-dependent files are in %{_datadir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/%{name}/plugins

for i in \
	gmpc-alarm-0.20.0 \
	gmpc-albumview-0.20.0 \
	gmpc-avahi-0.20.0 \
	gmpc-awn-0.20.0 \
	gmpc-discogs-0.20.0 \
	gmpc-extraplaylist-0.20.0 \
	gmpc-jamendo-0.20.0 \
	gmpc-last-fm-0.20.0 \
	gmpc-libnotify-0.20.0 \
	gmpc-lirc-0.20.0 \
	gmpc-lyrics-0.20.0 \
	gmpc-lyricsplugin-0.20.0 \
	gmpc-lyricwiki-0.20.0 \
	gmpc-magnatune-0.20.0 \
	gmpc-mdcover-0.20.0 \
	gmpc-mmkeys-0.20.0 \
	gmpc-mserver-0.20.0 \
	gmpc-playlistsort-0.20.0 \
	gmpc-shout-0.20.0 \
	gmpc-tagedit-0.20.0 \
	gmpc-wikipedia-0.20.0; do
	pushd $i
	make install DESTDIR=$RPM_BUILD_ROOT
	popd
done

%find_lang %{name}

for i in \
	gmpc-alarm \
	gmpc-discogs \
	gmpc-lastfm \
	gmpc-lyricwiki \
	gmpc-mdcover \
	gmpc-shout \
	gmpc-tagedit; do
	%find_lang $i
	cat $i.lang >> %{name}.lang
done

desktop-file-install  --vendor fedora \
        --delete-original \
        --dir $RPM_BUILD_ROOT%{_datadir}/applications \
        $RPM_BUILD_ROOT%{_datadir}/applications/gmpc.desktop


%clean
rm -rf $RPM_BUILD_ROOT

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files -f %name.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_bindir}/%name
%{_bindir}/%name-remote
%{_bindir}/%name-remote-stream
%{_datadir}/applications/*.desktop
%{_datadir}/%{name}
%{_libdir}/%{name}
%{_datadir}/icons/*/*/*/*
%{_datadir}/gmpc-albumview/icons/*/*/*/*
%{_mandir}/man1/*

%files devel
%defattr(0644,root,root,755)
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h
%{_libdir}/pkgconfig/*.pc

%changelog
* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.20.0-5
- Rebuild for new libpng

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.20.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Nov 11 2010 Adrian Reber <adrian@lisas.de> - 0.20.0-3
- rebuilt for new libmicrohttpd

* Sun Nov 07 2010 Adrian Reber <adrian@lisas.de> - 0.20.0-2
- rebuilt for new libnotify
- added patches for new libnotify

* Sat Jul 31 2010 Adrian Reber <adrian@lisas.de> - 0.20.0-1
- updated to 0.20.0

* Fri Jul 09 2010 Mike McGrath <mmcgrath@redhat.com> - 0.19.1-3.1
- Rebuilt to fix libwebkit-1.0.so.2 broken dep

* Fri May 07 2010 Adrian Reber <adrian@lisas.de> - 0.19.1-3
- added patch for " FTBFS gmpc-0.19.1-2.fc13: ImplicitDSOLinking" (#564660)

* Wed Nov 25 2009 Adrian Reber <adrian@lisas.de> - 0.19.1-2
- updated to 0.19.1

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.18.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Apr 08 2009 Adrian Reber <adrian@lisas.de> - 0.18.0-1
- updated to 0.18.0

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.16.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Adrian Reber <adrian@lisas.de> - 0.16.1-1
- updated to 0.16.1

* Wed Oct 01 2008 Adrian Reber <adrian@lisas.de> - 0.15.5.0-4
- re-created patch to apply cleanly (fixes #465008)

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.15.5.0-3
- Autorebuild for GCC 4.3

* Fri Feb 15 2008 Adrian Reber <adrian@lisas.de> - 0.15.5.0-2
- rebuilt for gcc43

* Sun Dec 23 2007 Adrian Reber <adrian@lisas.de> - 0.15.5.0-1
- updated to 0.15.5.0
- this should fix #242226
- added six more plugins (wikipedia, random-playlist, 
  mserver, libnotify, favorites, extraplaylist)
- added BR libnotify-devel for libnotify plugin

* Sun Nov 11 2007 Adrian Reber <adrian@lisas.de> - 0.15.1-1
- update to 0.15.1
- dropped gmpc-fix-album-play-order.diff patch
- two more plugins (avahi, shout)

* Fri Aug 24 2007 Adrian Reber <adrian@lisas.de> - 0.14.0-3
- rebuilt

* Wed Jun 20 2007 Adrian Reber <adrian@lisas.de> - 0.14.0-2
- applied patch to fix album play order from David Woodhouse

* Sun Mar 25 2007 Adrian Reber <adrian@lisas.de> - 0.14.0-1
- updated to 0.14.0
- added more plugins
- fixed #233837 (gmpc-devel: unowned directory)

* Sat Dec 09 2006 Adrian Reber <adrian@lisas.de> - 0.13.0-1
- updated to 0.13.0
- created devel package for header files
- removed X-Fedora from desktop-file-install
- added some plugins and moved the plugins to %%{_libdir}/%%{name}/plugins

* Wed Aug 30 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.11.2-6
- BR: perl-XML-Parser

* Wed Aug 30 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.11.2-5
- rebuild

* Thu Mar 23 2006 Jonathan Dieter <jdieter99[AT]gmx.net> 0.11.2-4
- fix dynamic linking bug

* Wed Feb 22 2006 Aurelien Bompard <gauret[AT]free.fr> 0.11.2-3
- rebuild for FC5

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Fri Nov 05 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.11.2-0.fdr.1
- initial Fedora release (from Mandrake)
